import {
    G as p,
    C as u,
    H as m,
    az as f,
    I as y,
    J as t,
    Q as o,
    O as e,
    aw as g,
    N as k,
    A as L
} from "./common.modules-af1f85b9.js";
import {
    a1 as h,
    _ as x
} from "./page-activity-ActivityDetail-09e806d3.js";
const $ = {
        class: "customer-container"
    },
    B = {
        class: "customer-container-header"
    },
    O = {
        class: "customer-container-header-belly"
    },
    w = {
        alt: ""
    },
    I = p({
        __name: "index",
        setup(C) {
            const {
                onItemClick: n,
                goBack: s,
                getIcons: i,
                getList: r,
                ContactList: c,
                List: a
            } = h({
                ServerType: 1
            });
            return u(() => {
                r()
            }), (l, d) => {
                const _ = m("NavBar"),
                    v = f("lazy");
                return k(), y("div", $, [t("div", B, [o(_, {
                    title: l.$t("poxyServer"),
                    class: "main",
                    "left-arrow": "",
                    onClickLeft: e(s)
                }, null, 8, ["title", "onClickLeft"]), t("div", O, [g(t("img", w, null, 512), [
                    [v, e(i)("promotion", "serverbg")]
                ])])]), o(e(a), {
                    list: e(c),
                    onOnClick: e(n)
                }, null, 8, ["list", "onOnClick"])])
            }
        }
    });
const z = x(I, [
        ["__scopeId", "data-v-63a4fda1"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/views/promotion/Server/index.vue"]
    ]),
    E = Object.freeze(Object.defineProperty({
        __proto__: null,
        default: z
    }, Symbol.toStringTag, {
        value: "Module"
    })),
    N = {
        class: "customer-container"
    },
    j = {
        class: "customer-container-header"
    },
    T = {
        class: "customer-container-header-belly"
    },
    M = {
        alt: ""
    },
    D = p({
        __name: "index",
        setup(C) {
            const {
                goBack: n,
                onClickUrl: s,
                CollectionList: i,
                getServiceList: r,
                getIcons: c,
                List: a
            } = h({
                ServerType: 1
            }), l = history.state.itemId, d = L({
                typeId: l
            });
            return u(async () => {
                r(d)
            }), (_, v) => {
                const b = m("NavBar"),
                    S = f("lazy");
                return k(), y("div", N, [t("div", j, [o(b, {
                    title: _.$t("poxyServer"),
                    class: "main",
                    "left-arrow": "",
                    onClickLeft: e(n)
                }, null, 8, ["title", "onClickLeft"]), t("div", T, [g(t("img", M, null, 512), [
                    [S, e(c)("promotion", "serverbg")]
                ])])]), o(e(a), {
                    list: e(i),
                    onOnClick: e(s)
                }, null, 8, ["list", "onOnClick"])])
            }
        }
    });
const P = x(D, [
        ["__scopeId", "data-v-49bd7182"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/views/promotion/Server/ServiceCollection/index.vue"]
    ]),
    G = Object.freeze(Object.defineProperty({
        __proto__: null,
        default: P
    }, Symbol.toStringTag, {
        value: "Module"
    }));
export {
    G as a, E as i
};